<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<title>JS-ADV. Lesson 1. Task 2 </title>
</head>
<body>
	<div class="wrap" id="app">

		<header>
			<button>RED</button>
			<button>BLUE</button>
			<button>GREEN</button>
		</header>

		<h2 id="user">Users:</h2>

		<div class="container">
			<ul id="list">
				<li id="JackLi">Jack</li>
				<li class="show test">Marlyn</li>
				<li name="Dexter" id="test" class="show test">Dexter</li>
			</ul>
		</div>
		<input id="TestAttribute"/>
		<div id="createArea" name="block"></div>

	</div>

	<script>
		/*
			Задание:

			1. Выбрать как элемент блок с id - test;
			2. Выбрать по css селектору все button
			3. Выбрать родительский элемент .wrap используя точку отсчета блок с с id = createArea.
			4. Выбрать все элементы li по тегу
			5. Выбрать все элементы по классу 'test'
		*/
		
		// 1.
		const testElement = document.getElementById('test');
		// 2.
		const buttons = document.querySelectorAll("button");
		// 3.
		const wrapElement1 = document.getElementById("createArea").parentElement;
		const wrapElement2 = document.getElementById("createArea").parentNode;
		// 4.
		const liElements1 = document.getElementsByTagName("li");
		const liElements2 = document.querySelectorAll('li');
		// 5.
		const testElements1 = document.getElementsByClassName("test");
		const testElements2 = document.querySelectorAll(".test");
		

	</script>
</body>
</html>
